import type { ExtraConfig } from '/@/utils/request';
import request from '/@/utils/request';

export const TEL_LOGIN_URL = '/send_login_sms';
//账户密码登录
export const PostLogin = async (params, extraData: ExtraConfig = {}) => {
	return request({
		url: '/login',
		method: 'POST',
		data: params,
		...extraData,
	});
};

//发送短信验证码
export const loginVerifyMessage = async (params, extraData: ExtraConfig = {}) => {
	return request({
		url: TEL_LOGIN_URL,
		method: 'POST',
		data: params,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
		...extraData,
	});
};
//手机号登录
export const PostPhoneLogin = async (params, extraData: ExtraConfig = {}) => {
	return request({
		url: '/login_sms',
		method: 'POST',
		data: params,
		...extraData,
	});
};




export const userBindingWechat = async (params, req: any = request) => {
	return req({
		url: '/user/user_bindingWeChat',
		method: 'POST',
		data: params,
	});
};
